<?php

namespace GriffinForms\Frontend\Html\Alerts;

class Form extends \GriffinForms\Frontend\Html\Alerts\Format
{
    public function loginToAccess()
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= $this->lang->getText('login_to_access');
        $html .= '</div>';
        return $html;
    }
    
    public function invalidRoleAccess()
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= $this->lang->getText('invalid_role_access');
        $html .= '</div>';
        return $html;
    }
    
    public function limitReached($msg)
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= esc_html($msg);
        $html .= '</div>';
        return $html;
    }

    public function availabilityWindow($msg)
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= esc_html($msg);
        $html .= '</div>';
        return $html;
    }

    public function submissionEditWindow($msg)
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= esc_html($msg);
        $html .= '</div>';
        return $html;
    }

    public function formNotFound()
    {
        $html = '<div class="alert alert-danger small" role="alert">';
        $html .= $this->lang->getText('form_not_found');
        $html .= '</div>';
        return $html;
    }

    public function rateLimitReached()
    {
        $html = '<div class="alert alert-warning small" role="alert">';
        $html .= $this->lang->getText('rate_limit_error');
        $html .= '</div>';
        return $html;
    }
}
